import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubOrganizationTeamSyncGroupsConfig extends cdktf.TerraformMetaArguments {
}
export declare class DataGithubOrganizationTeamSyncGroupsGroups extends cdktf.ComplexComputedList {
    get groupDescription(): string;
    get groupId(): string;
    get groupName(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/organization_team_sync_groups github_organization_team_sync_groups}
*/
export declare class DataGithubOrganizationTeamSyncGroups extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/organization_team_sync_groups github_organization_team_sync_groups} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubOrganizationTeamSyncGroupsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamSyncGroupsConfig);
    groups(index: string): DataGithubOrganizationTeamSyncGroupsGroups;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
